## 安装方式
```
npm install wjn-tooles
```


## 导入
```js
const wjn = require('wjn-tooles')
```

## 格式化时间
```js
const dt=wjn.dateFormat(new Date())
console.log(dt);//2022-10-29 19:52:00
```

## 转义html特殊字符
```js
//待转换的HTML字符串
const htmlStr='<h1 title="abc">这是h1标签<span>123&nbsp;</span></h1>'
//调用htmlEscape 方法进行转义
const str=wjn.htmlEscape(htmlStr)
console.log(str);//&lt;h1 title=&quot;abc&quot;&gt;这是h1标签&lt;span&gt;123&amp;nbsp;&lt;/span&gt;&lt;/h1&gt;
```

## 还原html特殊字符
```js
const str2=wjn.htmlUnEscape(str)
console.log(str2);//<h1 title="abc">这是h1标签<span>123&nbsp;</span></h1>
```

## 开源协议
ISC

