
//定义转义html特殊字符
function htmlEscape(dateStr) {
    return dateStr.replace(/<|>|"|&/g, match => {
        switch (match) {
            case '<':
                return '&lt;'
            case '>':
                return '&gt;'
            case '"':
                return '&quot;'
            case "&":
                return '&amp;'
        }
    })
}
//定义还原html字符
function htmlUnEscape(dateStr) {
    return dateStr.replace(/&lt;|&gt;|&quot;|&amp;/g, match => {
        switch (match) {
            case '&lt;':
                return '<'
            case '&gt;':
                return '>'
            case '&quot;':
                return '"'
            case "&amp;":
                return '&'
        }
    })
}


module.exports = {
    htmlEscape,
    htmlUnEscape
}